Subject: [bug#72452] [PATCH v5] gnu: Add guile-swayer.

From: Nicolas Graves <[email-masked]>
Date: Sat, 14 Sep 2024 17:52:17 +0200

On 2024-09-14 14:18, Alec Barreto wrote:

> Besides the typo in my last message, I found the mistake I made.
> The original patch had (commit <commit-hash>), which contained a fix to
> the guix package build process which is not in the latest release
> v0.2.0.
> The old 0.2.0 version won't build for bug-reasons in the code.
>
> Should I switch the commit field back, or wait for the next version bump
> which includes the fix?

If you want to pick a specific commit, you can do something like this

  (let ((commit [commit])
        (version "0.2.0")
        (revision "0"))
    (package
      (name [name])
      (version (git-version version revision commit))
      (source (origin
                (method git-fetch)
                (uri (git-reference
                       (url [url])
                       (commit commit)))
                (file-name (git-file-name name version))
                (sha256
                 (base32
                  ""))))

This makes it easier to upgrade to another given commit if necessary.

-- 
Best regards,
Nicolas Graves